Skip to main content
POST
/
v2
/
channel
/
email
/
verify
Verify Email Channel
curl --request POST \
  --url https://alerts-api.dial.to/v2/channel/email/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Dialect-Client-Key: <x-dialect-client-key>' \
  --data '
{
  "code": "123456"
}
'
import requests

url = "https://alerts-api.dial.to/v2/channel/email/verify"

payload = { "code": "123456" }
headers = {
"X-Dialect-Client-Key": "<x-dialect-client-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Dialect-Client-Key': '<x-dialect-client-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({code: '123456'})
};

fetch('https://alerts-api.dial.to/v2/channel/email/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "value": "<string>",
  "verified": true,
  "subscribed": true,
  "subscribedApps": [
    {
      "id": "255d6163-7e25-43e9-a188-c2f8d0980a4a",
      "name": "Dialect",
      "icon": "https://dialect-file-storage.s3.us-west-2.amazonaws.com/avatars/dialect-logo.png"
    }
  ]
}
{
"error": "<string>",
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication for subscriber calls

Headers

X-Dialect-Client-Key
string
required

Client Key used to uniquely identify the client

Example:

"dk_gyh2eqzfkc4mhp5eiahnndkz"

Body

application/json
code
string
required

Verification code sent to email

Example:

"123456"

Response

Email channel verified successfully

id
string
required
type
enum<string>
required
Available options:
EMAIL,
TELEGRAM
value
string
required
verified
boolean
required
subscribed
boolean
required
subscribedApps
object[]